Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfImage

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.PdfStream
                  com.lowagie.text.pdf.PdfImage

    public class PdfImage

extends PdfStream

`PdfImage` is a `PdfStream` containing an image-`Dictionary` and -stream.

Field Summary
`protected PdfName` | `name` This is the `PdfName` of the image.
`(package private) static int` | `TRANSFERSIZE`

Fields inherited from class com.lowagie.text.pdf.PdfStream
`compressed, ENDSTREAM, inputStream, inputStreamLength, rawLength, ref, SIZESTREAM, STARTSTREAM, streamBytes, writer`

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfImage(Image image, String name, PdfIndirectReference maskRef)` Constructs a `PdfImage`-object.

Method Summary
`protected void` | `importAll(PdfImage dup)`
`PdfName` | `name()` Returns the `PdfName` of the image.
`(package private) static void` | `transferBytes(InputStream in, OutputStream out, int len)`

Methods inherited from class com.lowagie.text.pdf.PdfStream
`flateCompress, getRawLength, superToPdf, toPdf, toString, writeContent, writeLength`

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRANSFERSIZE

    static final int TRANSFERSIZE

See Also:
  Constant Field Values

### name

    protected PdfName name

  This is the `PdfName` of the image.

Constructor Detail

### PdfImage

    public PdfImage(Image image,
                    String name,
                    PdfIndirectReference maskRef)
             throws BadPdfFormatException

  Constructs a `PdfImage`-object.

  Parameters:
    `image` - the `Image`-object
    `name` - the `PdfName` for this image
  Throws:
    `BadPdfFormatException` - on error

Method Detail

### name

    public PdfName name()

  Returns the `PdfName` of the image.

  Returns:
    the name

### transferBytes

    static void transferBytes(InputStream in,
                              OutputStream out,
                              int len)
                       throws IOException

  Throws:
    `IOException`

### importAll

    protected void importAll(PdfImage dup)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD